/*--------------------------------------------------------------------------*/
#ifndef _DD_H_
#define _DD_H_
/*--------------------------------------------------------------------------*/
#include <ddraw.h>
/*--------------------------------------------------------------------------*/
// Global variables
/*--------------------------------------------------------------------------*/
extern int                 g_iBpp;     // Remember the main surface bit depth
extern HWND                g_hWnd;     // To store the main windows handle
extern LPDIRECTDRAW        g_pDD;      // The DirectDraw object
extern LPDIRECTDRAWCLIPPER g_pClipper; // Clipper for primary surface
extern LPDIRECTDRAWSURFACE g_pDDS;     // Primary surface
/*--------------------------------------------------------------------------*/
// Global functions
/*--------------------------------------------------------------------------*/
// Initialize DirectDraw stuff
extern int  DDInit();
// Clean up DirectDraw stuff
extern void DDDone();
// Create and set up the primary surface
extern int  DDCreateVisual( HWND hWnd );
// PutPixel routine for a DirectDraw surface
extern void DDPutPixel( LPDIRECTDRAWSURFACE pDDS, int x, int y, int r, int g, int b );
// Create color from RGB triple
extern unsigned int CreateRGB( int r, int g, int b );
/*--------------------------------------------------------------------------*/
#endif
/*--------------------------------------------------------------------------*/
